Bug 230245 - databases/py-psycopg2cffi: update to 2.8.1
Summary: databases/py-psycopg2cffi: update to 2.8.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-31 18:10 UTC by Babak Farrokhi
Modified: 2018-08-04 12:44 UTC (History)
0 users

See Also:
jrm: maintainer-feedback+


Attachments
patch for update to 2.8.1 (1.26 KB, patch)
2018-07-31 18:10 UTC, Babak Farrokhi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Babak Farrokhi freebsd_committer 2018-07-31 18:10:43 UTC
Created attachment 195693 [details]
patch for update to 2.8.1
Comment 1 Joseph Mingrone freebsd_committer 2018-07-31 18:14:39 UTC
Hi,

Thanks for doing this.  For some reason portscout did not let me know there was an update available.

Has it has gone through 'poudriere testport' for 10/11 i386/amd64 and maybe a simple run-time test?

Joseph
Comment 2 Babak Farrokhi freebsd_committer 2018-07-31 18:21:09 UTC
(In reply to Joseph Mingrone from comment #1)

portscout hadn't picked it up yet because it was released a few minutes ago [1]. I was in contact with upstream developer to resolve a few issues around python 3.7 compatibility. I tested it on my local 12-CURRENT dev host. It also also now being tested in poudriere 10/11/12 amd64. I will post an update here when poudriere tasks are finished.

[1] https://github.com/chtd/psycopg2cffi#july-2018
Comment 3 Babak Farrokhi freebsd_committer 2018-08-01 04:28:18 UTC
portlint: OK
testport: OK (poudriere: 10-stable, 11-stable, 12-current, amd64 tested)
maketest: OK
Comment 4 Joseph Mingrone freebsd_committer 2018-08-01 08:30:43 UTC
Thanks again.
Comment 5 commit-hook freebsd_committer 2018-08-04 12:43:31 UTC
A commit references this bug:

Author: farrokhi
Date: Sat Aug  4 12:42:41 UTC 2018
New revision: 476354
URL: https://svnweb.freebsd.org/changeset/ports/476354

Log:
  databases/py-psycopg2cffi: update to 2.8.1

  PR:		230245
  Approved by:	maintainer

Changes:
  head/databases/py-psycopg2cffi/Makefile
  head/databases/py-psycopg2cffi/distinfo
Comment 6 Babak Farrokhi freebsd_committer 2018-08-04 12:44:10 UTC
Committed. Thanks!